/* Simple HTAccel library
 * Written Oct 2011 by Alex Clarke and Nova Scheidt for CS207 at the University of Regina
 *
 * Provides simple access to X-axis of HiTechnic acclerometers.
 * TODO: Add Y-axis support
 * BUGS: Z-axis values are not read correctly. 
 *       Their range is incorrect, which can be easily fixed, but the data is also
 *       noisy.
 */

#ifndef HTAccel_h
#define HTAccel_h

#include <inttypes.h>
#include "Arduino.h"
#include "Wire.h"

//Return X axis value from accelerometer. Returns last known X if communication fails.
//X values are constrained to [-200, 200] representing -2G to 2G.
int readHTAccel_X();

#endif
